From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-clipman-plugin/
Date: Mon, 31 Jul 2023 14:41:45 +0000 (UTC) [thread overview]
Message-ID: <1690814474.0f9fc7828b0f8651cbf0780e4ea6964ad839c783.mgorny@gentoo> (raw)
commit: 0f9fc7828b0f8651cbf0780e4ea6964ad839c783
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 14:41:14 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 14:41:14 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f9fc782
xfce-extra/xfce4-clipman-plugin: Bump to 1.6.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
| 1 +
.../xfce4-clipman-plugin-1.6.4.ebuild | 62 ++++++++++++++++++++++
2 files changed, 63 insertions(+)
--git a/xfce-extra/xfce4-clipman-plugin/Manifest b/xfce-extra/xfce4-clipman-plugin/Manifest
index c7dd32a1e8fd..c778aa9805b9 100644
--- a/xfce-extra/xfce4-clipman-plugin/Manifest
+++ b/xfce-extra/xfce4-clipman-plugin/Manifest
@@ -1 +1,2 @@
DIST xfce4-clipman-plugin-1.6.3.tar.bz2 486276 BLAKE2B f92c93e4ab57fbe37560c389620696f5c11fa8cbd328f29d4895c25c6f18fec88267cc152a1cab39084f08f8fdc070669b665cbad4089ae9577be776a3ad3663 SHA512 a117f64035a6656c2f8603d9b0adec18bcbe8e1ee6a80b838e4cc40480cc3510afe5f32815ff89b1936cbdbadadf8e1e645f0202d97cc877aec125b51b72064b
+DIST xfce4-clipman-plugin-1.6.4.tar.bz2 480785 BLAKE2B adc04a41e373fa62f822f0f11a2eac5b684ba89f718806c3d64bb8ddb88eb7de1cc059e3b0dd5baf8201ac8e5c3879d3e4fe57a11ba07684d5fb590062889a15 SHA512 e2cb4068ad00e89d848c72ab4c1b7aac0d41bdd006b60afd09e0323fca1c903eeee3b04a68221f5a2cb6be1347eac8879dfa6bd8b0483c2a075eb36e8cf65ea7
diff --git a/xfce-extra/xfce4-clipman-plugin/xfce4-clipman-plugin-1.6.4.ebuild b/xfce-extra/xfce4-clipman-plugin/xfce4-clipman-plugin-1.6.4.ebuild
new file mode 100644
index 000000000000..955d7912e0b2
--- /dev/null
+++ b/xfce-extra/xfce4-clipman-plugin/xfce4-clipman-plugin-1.6.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A clipboard manager plug-in for the Xfce panel"
+HOMEPAGE="
+ https://docs.xfce.org/panel-plugins/xfce4-clipman-plugin/start
+ https://gitlab.xfce.org/panel-plugins/xfce4-clipman-plugin/
+"
+SRC_URI="
+ https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="qrcode"
+
+DEPEND="
+ >=dev-libs/glib-2.60:2=
+ >=x11-libs/gtk+-3.22.29:3=
+ x11-libs/libXtst:=
+ >=xfce-base/libxfce4ui-4.14:=
+ >=xfce-base/libxfce4util-4.14:=
+ >=xfce-base/xfce4-panel-4.14:=
+ >=xfce-base/xfconf-4.14:=
+ qrcode? ( >=media-gfx/qrencode-3.3.0:= )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-base/xorg-proto
+"
+
+src_configure() {
+ local myconf=(
+ $(use_enable qrcode libqrencode)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2023-07-31 14:41 UTC|newest]
Thread overview: 65+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-07-31 14:41 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-01 8:31 [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-clipman-plugin/ Michał Górny
2025-01-25 11:05 Michał Górny
2025-01-25 10:44 Sam James
2024-12-24 11:17 Michał Górny
2024-06-26 12:04 Michał Górny
2024-03-22 14:05 Michał Górny
2024-03-22 13:17 Arthur Zamarin
2024-03-16 17:34 Arthur Zamarin
2024-03-16 17:34 Arthur Zamarin
2024-03-16 16:45 Arthur Zamarin
2024-03-16 10:23 Arthur Zamarin
2024-02-29 15:18 Michał Górny
2023-10-06 18:12 Michał Górny
2023-10-06 17:44 Arthur Zamarin
2023-10-06 14:55 Sam James
2023-10-06 14:31 Sam James
2023-09-29 13:00 Michał Górny
2023-06-11 19:19 Michał Górny
2023-06-11 18:38 Jakov Smolić
2023-06-11 15:47 Sam James
2023-06-11 15:37 Sam James
2023-06-11 15:37 Sam James
2023-03-21 5:43 Michał Górny
2021-11-19 6:24 Yixun Lan
2021-07-06 7:58 Michał Górny
2021-07-06 1:48 Sam James
2021-07-03 6:22 Agostino Sarubbo
2021-07-03 6:20 Agostino Sarubbo
2021-07-03 1:30 Sam James
2021-07-03 1:28 Sam James
2021-05-06 8:49 Michał Górny
2020-09-18 9:45 Michał Górny
2020-07-19 13:38 Sam James
2020-06-29 18:24 Mikle Kolyada
2020-06-20 15:23 Thomas Deutschmann
2020-06-14 20:19 Sergei Trofimovich
2020-06-14 20:08 Sergei Trofimovich
2020-05-04 9:40 Michał Górny
2020-04-23 10:40 Agostino Sarubbo
2020-04-23 6:24 Agostino Sarubbo
2020-04-23 6:21 Agostino Sarubbo
2020-04-19 18:24 Agostino Sarubbo
2020-04-18 9:18 Agostino Sarubbo
2020-04-05 8:12 Michał Górny
2020-03-01 19:15 Michał Górny
2019-07-23 14:10 Kent Fredric
2019-04-07 8:29 Michał Górny
2018-12-02 11:12 Mikle Kolyada
2018-11-24 13:40 Sergei Trofimovich
2018-11-15 17:04 Thomas Deutschmann
2018-11-12 13:52 Mikle Kolyada
2018-10-27 12:30 Michał Górny
2018-09-13 6:25 Michał Górny
2018-09-13 6:25 Michał Górny
2018-03-23 19:53 Markus Meier
2018-01-10 21:22 Sergei Trofimovich
2018-01-07 20:32 Sergei Trofimovich
2018-01-07 13:17 Sergei Trofimovich
2018-01-05 11:16 Mikle Kolyada
2017-07-21 14:31 Michał Górny
2017-06-07 20:06 Michał Górny
2017-04-11 18:52 Patrick McLean
2017-01-30 7:37 Fabian Groffen
2016-09-15 14:08 Jason Zaman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1690814474.0f9fc7828b0f8651cbf0780e4ea6964ad839c783.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox